<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.activity.mapper.JoinRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="joinRecordResultMap" type="org.springblade.ldt.activity.entity.JoinRecord">
        <id column="id" property="id"/>
        <result column="activity_id" property="activityId"/>
        <result column="join_id" property="joinId"/>
        <result column="join_name" property="joinName"/>
        <result column="discount" property="discount"/>
        <result column="join_logo" property="joinLogo"/>
    </resultMap>


    <select id="selectJoinRecordPage" resultMap="joinRecordResultMap">
        select * from ldt_join_record where is_deleted = 0
    </select>

</mapper>
